Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.pags
Class PersonAttributesGroupStoreFactory

    java.lang.Object
      org.jasig.portal.groups.pags.PersonAttributesGroupStoreFactory

All Implemented Interfaces:
  IEntityGroupStoreFactory

    public class PersonAttributesGroupStoreFactory

extends java.lang.Object
implements IEntityGroupStoreFactory

Factory class for Person Attributes Group Store

Author:
  Al Wold

Field Summary
`private static IEntityGroupStore` | `groupStore`

Constructor Summary
`PersonAttributesGroupStoreFactory()`

Method Summary
`static IEntityGroupStore` | `getGroupStore()`
`IEntityGroupStore` | `newGroupStore()`
`IEntityGroupStore` | `newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)` Factory method takes a service descriptor parm, which lets the factory customize the store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupStore

    private static IEntityGroupStore groupStore

Constructor Detail

### PersonAttributesGroupStoreFactory

    public PersonAttributesGroupStoreFactory()

Method Detail

### getGroupStore

    public static IEntityGroupStore getGroupStore()

### newGroupStore

    public IEntityGroupStore newGroupStore()
                                    throws GroupsException

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

### newGroupStore

    public IEntityGroupStore newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)
                                    throws GroupsException

  Description copied from interface: `IEntityGroupStoreFactory`
  Factory method takes a service descriptor parm, which lets the factory customize the store.

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD